For the complete documentation index, see llms.txt. This page is also available as Markdown.

/api/site/site‑tour

post

Add new site and default tour

Authorizations
api-keystringRequired
api-usernamestringRequired
Query parameters
sitestringRequired
site_namestringOptional
site_typeintegerRequired
site_hiddenstringOptionalDefault: 0
site_group_idintegerOptional
brand_idintegerOptional
date_addedstringOptionalDefault: 1780691251
tourstringRequired
tour_namestringOptional
tour_urlstringRequired
tour_linkdomainstringRequired
tour_descriptionstringOptional
Responses
200

success

successbooleanOptionalExample: true
post/api/site/site-tour
PHP (cURL)
<?php

$headers = array( //set your username and API key here
	'api-key: 44b5498dbcb481a0d00b404c0169af62',
	'api-username: tmm1phrvezsbu'
);
$url = 'https://yourdomain.com'; //set your NATS URL here

$data = array(
		'site' => 'testSite',
		'site_name' => 'test site name',
		'site_type' => 0,
		'site_hidden' => 0,
		'site_group_id' => 0,
		'brand_id' => 0,
		'date_added' => '1559932173',
		'tour' => 'testTour',
		'tour_name' => 'test tour name',
		'tour_url' => 'http://toomuchmedia.com',
		'tour_linkdomain' => 'http://democash.com',
		'tour_description' => 'test tour description'
	);

$request = array(
	'method' => 'POST',
	'path' => 'site/site-tour',
	'data' => $data
);

/*code below is the same for (almost) every API call */

$curl = curl_init();

$url = $url.'/api/'.$request['path'];

$query = http_build_query($request['data']);

if($request['method'] == 'GET'){
	//add query string parameters to the end of the url
	$url = $url.'?'.$query;
}else{
	//send parameters as POST fields
	curl_setopt($curl, CURLOPT_POST, 1);
	curl_setopt($curl, CURLOPT_POSTFIELDS, $query);

	if($request['method'] != 'POST'){
		$headers[] ='X-HTTP-Method: '.$request['method']; //send custom request method
	}
}
curl_setopt($curl, CURLOPT_URL, $url);
curl_setopt($curl, CURLOPT_HTTPHEADER, $headers);
curl_setopt($curl, CURLOPT_RETURNTRANSFER, true);


$resp = curl_exec($curl);
//dumps an associative array representation of the json
var_dump(json_decode($resp, true));
// Close request to clear up some resources
curl_close($curl);
?>
200

success

{
  "site": {
    "siteid": "2",
    "networkid": "0",
    "site": "testSite",
    "deleted": "0",
    "name": "test site name",
    "type": "0",
    "hidden": "0",
    "date_added": "1559932173",
    "date_live": "0",
    "network": "0",
    "reuse_active": "0",
    "no_personal_member_info": "0",
    "mobile_tour": "0",
    "site_group_id": "0",
    "featured": "0",
    "brand_id": "0",
    "require_atvod_verification": "0",
    "atvod_client_id": "",
    "atvod_operator_id": "",
    "atvod_password": "",
    "atvod_authenticate_profile_id": "",
    "atvod_passport_profile_id": "",
    "atvod_driving_licence_profile_id": "",
    "type_nice": "Membership",
    "mobile_tour_nice": "None Selected",
    "site_group_nice": "None"
  },
  "tourid": 2,
  "success": true,
  "result": "Site and default tour added"
}

Last updated

Was this helpful?